package main

import (
	"context"
	"log"
	"sync"
	"time"
)

func consumer(ctx context.Context, ch <-chan message, wg *sync.WaitGroup, ID int) {
	defer wg.Done()

	for {
		select {
		case <-ctx.Done():
			log.Printf("[👷 Consumer %d] Ending", ID)
			return
		case msg := <-ch:
			log.Printf("[👷 Consumer %d] Received message from %d with ID %d (waiting for 5 seconds)", ID, msg.Author, msg.ID)
			time.Sleep(5 * time.Second)
			log.Printf("[👷 Consumer %d] Processing of message from %d with ID %d ended", ID, msg.Author, msg.ID)
		}
	}
}
