package db

import (
	"database/sql"

	_ "github.com/mattn/go-sqlite3"
)

// DB is wrapper around sql.DB with own functions
type DB struct {
	db *sql.DB
}

// New DB
func New(dbFile string) (*DB, error) {
	db, err := sql.Open("sqlite3", dbFile)
	if err != nil {
		return nil, err
	}
	if err = db.Ping(); err != nil {
		return nil, err
	}

	// Init the database
	d := &DB{db: db}

	return d, d.init()
}

func (d *DB) init() error {
	_, err := d.db.Exec(`
	CREATE TABLE IF NOT EXISTS messages (
		id INTEGER PRIMARY KEY AUTOINCREMENT,
		channel VARCHAR(50),
		text TEXT,
		created DATETIME
	);`)

	return err
}
