package main

import (
	"flag"
	"log"

	"muj-server2/db"
	"muj-server2/server"
)

var (
	dbFile = flag.String("dbfile", "db.sqlite3", "Name of database file")
	listen = flag.String("listen", ":8080", "Address to listen to")
)

func main() {
	flag.Parse()

	dbh, err := db.New(*dbFile)
	if err != nil {
		log.Fatal(err)
	}

	s := server.New(dbh, *listen)
	s.Start()
}
