package geom

import "math"

type Point struct {
	X float64
	Y float64
}

func (p Point) Add(q Point) Point {
	return Point{
		X: p.X + q.X,
		Y: p.Y + q.Y,
	}
}

func (p Point) Distance(q Point) float64 {
	return math.Sqrt(math.Pow(p.X-q.X, 2) + math.Pow(p.Y-q.Y, 2))
}

////////////////////////////////////////////////////////////////////////////////

type PointRadius struct {
	Point
	Radius float64
}
